# Gimp.ProcedureConfig.set_core_object_array

    @accepts(Gimp.ProcedureConfig, unicode, [GObject.Object], gsize)
    @returns(none)
    def set_core_object_array(self, property_name, objects, n_objects):
        # Python wrapper for gimp_procedure_config_set_core_object_array()

A function for bindings to set a [type@CoreObjectArray] property. Setting these with [method@GObject.Object.set] or [method@GObject.Object.set_property] won't [work for the time being](https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/492) so all our boxed array types must be set and get using alternative functions instead.

C plug-ins should just use [method@GObject.Object.set].

Since 3.0

self

  a Gimp.ProcedureConfig

property_name

  the name of a [struct@ParamSpecCoreObjectArray] param spec.

objects

  an array of GObject.Objects.

n_objects

  the numbers of objects.